Bug 1461583 - grub2: free magic is broken
grub2: free magic is broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 16:45 EDT by Ben Greear
Modified: 2017-08-08 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 15:50:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Greear 2017-06-14 16:45:01 EDT
Description of problem:

In Fedora-24 we have several different systems that will sometimes fail to boot the 4.7.10+ and 4.9.29+ kernels we compile.  It appears this dies before the kernel really boots:

Loading Candela Technologies 4.9.29+ COM1 115200 8n1 ...
free magic is broken at 0xcc37c210: 0x8a67c389free magic is broken at
0xcc37c210: 0x8a67c389free magic is broken at 0xcc37c210: 0x8a67c389free magic
is broken at 0xcc37c210: 0x8a67c389free magic is broken at 0xcc37c210:
0x8a67c389free magic is broken at 0xcc37c210: 0x8a67c389free magic is broken at
0xcc37c210: 0x8a67c389free magic is broken at 0xcc37c210: 0x8a67c389free magic 
....

Interestingly, if we boot an older Fedora Rescue image, it will boot.

And, if we simply use the keyboard to select the 4.9.29+ entry (that fails) in grub, go to the edit screen, CHANGE NOTHING, and hit Ctrl-X to boot, then it boots fine.  This work-around has worked on multiple systems with this problem.

We ran memtest on one system and it shows no errors.

As far as we can tell, we do not see this problem on any older Fedora releases.

A re-install of the OS 'fixes' the problem.

Here is the grub config file:

[root@ben-ota-2 ~]# cat /boot/grub2/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub2-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
set pager=1

if [ -s $prefix/grubenv ]; then
  load_env
fi
if [ "${next_entry}" ] ; then
   set default="${next_entry}"
   set next_entry=
   save_env next_entry
   set boot_once=true
else
   set default="Candela Technologies 4.7.10+ COM1 115200 8n1"
fi

if [ x"${feature_menuentry_id}" = xy ]; then
  menuentry_id_option="--id"
else
  menuentry_id_option=""
fi

export menuentry_id_option

if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  if [ x$feature_all_video_module = xy ]; then
    insmod all_video
  else
    insmod efi_gop
    insmod efi_uga
    insmod ieee1275_fb
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
  fi
}

serial --unit=0 --speed=115200 --word=8 --parity=no --stop=1
terminal_input serial console
terminal_output serial console
if [ x$feature_timeout_style = xy ] ; then
  set timeout_style=menu
  set timeout=5
# Fallback normal timeout code in case the timeout_style feature is
# unavailable.
else
  set timeout=5
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/01_users ###
if [ -f ${prefix}/user.cfg ]; then
  source ${prefix}/user.cfg
  if [ -n "${GRUB2_PASSWORD}" ]; then
    set superusers="root"
    export superusers
    password_pbkdf2 root ${GRUB2_PASSWORD}
  fi
fi
### END /etc/grub.d/01_users ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Fedora (4.11.4-100.fc24.x86_64) 24 (Workstation Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-4.11.4-100.fc24.x86_64-advanced-f61ff9e7-8469-4de3-b339-8f3dcd5fe0a0' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	linux16 /vmlinuz-4.11.4-100.fc24.x86_64 root=/dev/mapper/fedora_ben--ota--2-root ro rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	initrd16 /initramfs-4.11.4-100.fc24.x86_64.img
}
menuentry 'Fedora (4.10.17-100.fc24.x86_64) 24 (Workstation Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-4.10.17-100.fc24.x86_64-advanced-f61ff9e7-8469-4de3-b339-8f3dcd5fe0a0' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	linux16 /vmlinuz-4.10.17-100.fc24.x86_64 root=/dev/mapper/fedora_ben--ota--2-root ro rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	initrd16 /initramfs-4.10.17-100.fc24.x86_64.img
}
menuentry 'Fedora (4.8.11-200.fc24.x86_64) 24 (Workstation Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-4.8.11-200.fc24.x86_64-advanced-f61ff9e7-8469-4de3-b339-8f3dcd5fe0a0' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	linux16 /vmlinuz-4.8.11-200.fc24.x86_64 root=/dev/mapper/fedora_ben--ota--2-root ro rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	initrd16 /initramfs-4.8.11-200.fc24.x86_64.img
}
menuentry 'Fedora (0-rescue-92773ce8e705458592006498002193be) 24 (Workstation Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted $menuentry_id_option 'gnulinux-0-rescue-92773ce8e705458592006498002193be-advanced-f61ff9e7-8469-4de3-b339-8f3dcd5fe0a0' {
	load_video
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	linux16 /vmlinuz-0-rescue-92773ce8e705458592006498002193be root=/dev/mapper/fedora_ben--ota--2-root ro rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	initrd16 /initramfs-0-rescue-92773ce8e705458592006498002193be.img
}

### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###

### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_ppc_terminfo ###
### END /etc/grub.d/20_ppc_terminfo ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
menuentry "Candela Technologies 4.7.10+ COM1 115200 8n1" {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	echo	'Loading Candela Technologies 4.7.10+ COM1 115200 8n1 ...'
	linux	/ct4.7.10+.img root=/dev/mapper/fedora_ben--ota--2-root ro  rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd-ct4.7.10+.img
}

menuentry "Candela Technologies 4.9.27+ COM1 115200 8n1" {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-ieee1275='ieee1275//disk@0,msdos1' --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	echo	'Loading Candela Technologies 4.9.27+ 115200 8n1 ...'
	linux	/ct4.9.27+.img root=/dev/mapper/fedora_ben--ota--2-root ro rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8
	echo	'Loading initial ramdisk ...'
	initrd	/initrd-ct4.9.27+.img
}
menuentry "Candela Technologies 4.9.29+ COM1 115200 8n1" {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-ieee1275='ieee1275//disk@0,msdos1' --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  d2f54e87-0484-4159-ac64-fee0961fbac0
	else
	  search --no-floppy --fs-uuid --set=root d2f54e87-0484-4159-ac64-fee0961fbac0
	fi
	echo	'Loading Candela Technologies 4.9.29+ COM1 115200 8n1 ...'
	linux	/ct4.9.29+.img root=/dev/mapper/fedora_ben--ota--2-root ro  rd.lvm.lv=fedora_ben-ota-2/root rd.lvm.lv=fedora_ben-ota-2/swap biosdevname=0 intel_iommu=off selinux=0 console=tty0 console=ttyS0,115200n8 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd-ct4.9.29+.img
}

### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  ${config_directory}/custom.cfg ]; then
  source ${config_directory}/custom.cfg
elif [ -z "${config_directory}" -a -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
[root@ben-ota-2 ~]# 


Version-Release number of selected component (if applicable):


How reproducible:

Rare, but does happen multiple times.


Steps to Reproduce:
1.  Upgrade to a new kernel (custom compiled in this case), and sometimes it happens.

2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2017-07-25 20:25:24 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-08-08 15:50:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.